PHP.net: 5.3.7 Upgrade Warnung

In eine kurze Notiz aus dem PHP.net Seite, haben sie eine Warnung für diejenigen läuft PHP 5.3.7 (die neueste Version) – es gibt einen Bug, der ernst genug ist (mit crypt ), wo Upgrades sollten voraussichtlich bis 5.3.8 warten.

Durch unglückliche Probleme mit 5.3.7 (siehe Bug # 55439 ) sollten mit dem Upgrade bis 5,3 warten. 8 wird veröffentlicht (voraussichtlich in wenigen Tagen) werden.

Die Frage bewirkt, dass die crypt ()-Funktion, um nur die Rückkehr der (MD5-only) salzen statt gegeben wurde der korrekt Hash-String. Wenn Sie diese sofort ersetzt werden müssen, können Sie die neueste von der schnappt site (oder Binaries für Windows ). Halten Sie ein Auge für PHP 5.3.8 in der nahen Zukunft.

PHPDeveloper.org

Schreibe einen Kommentar